/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-08-09 09:59:43
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-08-13 16:05:42
 * @FilePath: \gzDyh\gz-customerSystem\src\views\basicInformation\organization\index.jsx
 * @Description: 来访登记
 */

import React, { useState, useEffect, useRef, Fragment } from "react";
import NewPage from '../../../components/NewPage';
import RegisterTab from '../../../components/registerTab';
import * as $$ from '../../../utils/utility';
import "@arco-design/web-react/dist/css/arco.css";
import '../index.less';
import { Space } from 'antd';
import { Button } from '@arco-design/web-react';
import VisitorRegister from './component/visitorRegister';
import Preview from './preview';



function getCaseDataApi(submitData) {
	return $$.ax.request({ url: `caseInfo/getCaseInfo?id=${submitData}`, type: 'get', service: 'mediate' });
}



const Organization = () => {
	const formRef = useRef();

	const [tabsActive, setTabsActive] = useState('1');// tabs当前选择的标签信息
	const [isReview, setIsReview] = useState(false);//预览页面控制

	const tabs = [
		{ label: '事件登记', key: '1' },
		{ label: '事件流转', key: '2' },
		{ label: '办理反馈', key: '3' },
		{ label: '申请结案', key: '4' },
		{ label: '当事人评价', key: '5' },
		{ label: '结案归档', key: '6', img1: true },

	];

	//提交信息，需要校验规则
	const handleSubmit = async () => {
		if (formRef.current) {
			formRef.current.validate(undefined, (errors, values) => {
				console.log(errors, values);
			});
		}
	}

	//保存草稿信息,不需要校验规则
	const handleSave = async () => {
		if (formRef.current) {
			const data = formRef.current.getFields()
			console.log(data);
		}
	}

	//预览信息
	const handleReview = () => {
		setIsReview(!isReview)
	}


	return (
		<div style={{ position: 'relative' }}>
			<NewPage
				pageHead={
					{ breadcrumbData: [{ title: '工作台' }, { title: '来访登记' }], title: '来访登记' }
				}
			>
				<RegisterTab tabs={tabs} activeKey={tabsActive} onChange={(activeKey) => setTabsActive(activeKey)} style={{ background: '#fff' }} />
				{tabsActive === '1' &&
					<Fragment>
						{isReview ? <Preview /> : <VisitorRegister formRef={formRef} />}
						<div className="dataSync-excel">
							<Space size="large" style={{ margin: '4px 14px' }}>
								<Button type="primary" style={{ backgroundColor: '#1A6FB8' }} onClick={handleSave} >保存信息</Button>
								<Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} onClick={handleReview}>预览信息</Button>
								<Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} onClick={handleSubmit}>提交信息</Button>
								<Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }}>自行受理</Button>
								<Button type='secondary' onClick={handleReview}>返回上级页面</Button>
							</Space>
						</div>
					</Fragment>
				}
			</NewPage>

		</div>
	)
}

export default Organization;